%define glib2_version           2.10.0
%define gtk2_version            2.10.0
%define dbus_version            0.70
%define gettext_version         0.14
%define alphatag                20080921git

Summary: Open Hardware Manager
Name: ohm
Version: 0.1.1
Release: 6.21.%{alphatag}%{?dist}
URL: http://www.freedesktop.org/Software/ohm
Source0: http://people.freedesktop.org/~hughsient/temp/%{name}-%{version}-1.%alphatag.tar.gz

# Patches from before tarball rebase.
# Patch1: ohm-patch-direct-backlight.diff
# Patch2: ohm-patch-implement-pm.diff 
# Patch3: ohm-patch-remove-powersave.diff
# Patch4: ohm-patch-change-brightness-levels.diff
# Patch5: ohm-patch-no-pm-on-ac.diff
# Patch6: ohm-patch-inhibit-on-tag.diff
# Patch7: ohm-patch-no-wireless-on-sleep.diff
# Patch8: ohm-patch-reset-timeouts-after-suspend.diff
# Patch9: ohm-patch-no-idle-for-tty.diff
# Patch10: ohm-patch-no-xrandr.diff
# Patch11: ohm-patch-reset-idle.diff
# Patch12: ohm-patch-dcon-off-on-sleep.diff
# Patch13: ohm-patch-disallow-prec.diff

License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: gettext >= %{gettext_version}
BuildRequires: perl(XML::Parser)
BuildRequires: dbus-glib-devel
BuildRequires: hal-devel
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libtool
BuildRequires: intltool
Requires: chkconfig
Requires: gtk2 >= %{gtk2_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_version}
Requires: glib2 >= %{glib2_version}
Requires(pre): shadow-utils
Requires(post): /sbin/ldconfig
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/ldconfig

%description
OHM stands for Open Hardware Manager which is a service that controls low level
hardware and exports preferences to the user session.

%package devel
Summary: Libraries and headers for OHM
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: pkgconfig

%description devel

Headers, static libraries and API docs for OHM.

%prep
%setup -q
#%patch0 -p1
%build

%configure --disable-docbook-docs --with-xauth-dir=/var/tmp/olpc-auth --with-os-type=redhat --docdir=%{_datadir}/doc/%{name}-%{version}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/ohm/*.la
rm -f %{buildroot}%{_libdir}/ohm/*.a
rm -f %{buildroot}%{_datadir}/ohm-%{version}/index.html

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
groupadd -f -r ohmd
id ohmd >/dev/null 2>&1 || \
useradd -r -g ohmd -d %{_sysconfdir}/ohm -s /sbin/nologin -c "OHM daemon" ohmd

%post
/sbin/ldconfig
/sbin/chkconfig --add ohmd
/sbin/chkconfig --level 2345 ohmd on

%preun
if [ $1 = 0 ]; then
    service ohmd stop > /dev/null 2>&1
    /sbin/chkconfig --del ohmd
fi

%postun
/sbin/ldconfig
if [ "$0" -ge "1" ]; then
  service ohmd condrestart > /dev/null 2>&1
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING NEWS

%config(noreplace) %{_sysconfdir}/dbus-1/system.d/ohm.conf
%{_sysconfdir}/rc.d/init.d/ohmd
%dir %{_sysconfdir}/ohm
%config(noreplace) %{_sysconfdir}/ohm/*

%{_sbindir}/ohmd
%{_bindir}/lsohm
%{_bindir}/ohm-get-key
%{_bindir}/ohm-set-key
%{_libdir}/libohm*.so.*

#plugins
%dir %{_libdir}/ohm
%{_libdir}/ohm/libohm*.so

%files devel
%defattr(-,root,root)

%{_libdir}/libohm*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Sun Sep 21 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.21.20080921git.olpc
- #8562:  Correctly preserve user-set brightness.

* Wed Sep 10 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.20.20080911git.olpc
- #8062:  Bugfix -- look for automaticpm, not automatic_pm. 

* Tue Sep 09 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.19.20080910git.olpc
- #7981:  Use more efficient EC mask setting.
- #8062:  Inherit automatic/extreme PM settings from the Sugar profile.

* Wed Aug 28 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.18.20080828git.olpc
- #8010:  Fix battery status by handling the EC mask over idle suspends.
- #7879:  Power down wifi chip when lid is closed and mesh is off.
- #7986:  Close /ofw/model after reading it.

* Tue Aug 05 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.17.20080805git.olpc
- Inherit automatic_pm from the Sugar profile.
- Avoid a race by triggering an idle timer reset when we connect to X.

* Mon Aug 04 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.16.20080804git.olpc
- Support setting DCON freeze/mode values; the OHM side of #7357.
- EC wakeup mask now decides wakeup logic, removing OHM's temporary wakeups.
  This requires a kernel newer than olpc-2.6/testing/a347731f.. to work.

* Thu Jul 24 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.15.20080707git.olpc
- Move xauthority from /home/olpc to /var/tmp/olpc-auth.

* Mon Jul 07 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.14.20080707git.olpc
- Implement the OHM side of the sugar control panel power section.

* Tue Jul 01 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.13.20080701git.olpc
- Fix OLPC Trac #7359, segfault due to uninitialized use of X display.

* Thu May 01 2008 Dennis Gilmore <dennis@laptop.org> - 0.1.1-6.12.20080119git
- BR intltool

* Wed Mar 12 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.11.20080119git.olpc
- touch /etc/ohm/inhibit-idle-suspend to allow sleep modes without idleness.

* Tue Feb 27 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.10.20080119git.olpc
- When coming out of sleep (lid open or power button), tell NetworkManager to
  rescan for networks and reconnect. 

* Tue Feb 12 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.9.20080119git.olpc
- Rename (currently-unused) activity dbus inhibit flag to "suspend.inhibit".

* Mon Feb 11 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.8.20080119git.olpc
- 60s before suspend, lower to 10% CPU use required to inhibit suspend.
- Fix brightness dimming bug on inhibited machines.

* Thu Jan 31 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.7.20080119git.olpc
- Don't undim the backlight on idle-wake-from-wireless; it's distracting.
- Don't dim/undim the screen on B4s.
- Since power button and lid raise are unreliable, wake from sleep on "empty sci".
- Increase timeout before suspend from 30s to 60s.
- If mtime on /dev/tty[12] is in the future, treat as invalid and don't stop suspend.

* Thu Jan 24 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.6.20080119git.olpc
- Go to sleep on power button press/lid close even if the CPU is busy.

* Mon Jan 21 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.5.20080119git.olpc
- Fix a regression:  we should never dim the screen if the tty is active.

* Sat Jan 19 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.4.20080119git.olpc
- Fix a timing bug that was sometimes inhibiting auto-suspend.

* Sun Jan 13 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.3.20080102git.olpc
- Always reset the idle counter coming out of suspend.

* Sun Jan 13 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.2.20080102git.olpc
- Attempt to keep the DCON from waking up in sleep mode. 

* Thu Jan 3 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.1.20080102git.olpc
- Move back to initscript from inittab, now that there's a #5400 fix.

* Thu Jan 3 2008 Chris Ball <cjb@laptop.org> - 0.1.1-6.0.20080102git.olpc
- Remove initscript completely; inittab will handle ohm now.
- Rebase.

* Mon Nov 26 2007 Chris Ball <cjb@laptop.org> - 0.1.1-5.9.20071126git.olpc
- Disallow all power management (suspend, dcon power) on pre-C machines. 

* Mon Nov 26 2007 Chris Ball <cjb@laptop.org> - 0.1.1-5.8.20071126git.olpc
- Fix power button handling to keep the screen off in the face of keypresses
  while asleep.
- Handle turning on OHM in the spec file itself. 

* Sat Nov 24 2007 Chris Ball <cjb@laptop.org> - 0.1.1-5.7.20071124git.olpc
- Disable xrandr rotation on lid flip
- Disable wake-on-wireless changes while the kernel driver fails with them

* Tue Nov 20 2007 Chris Ball <cjb@laptop.org> - 0.1.1-5.6.20071120git.olpc
- No suspend when tty in use
- Timeouts changed again 55s dim, +5s suspend.
- Fix alarm timing
- Wireless wakeup disabled when in sleep mode

* Mon Nov 12 2007 Chris Ball <cjb@laptop.org> - 0.1.1-5.5.20071112git.olpc 
- Change timeouts to 25s dim, 30s suspend
- Look for /etc/ohm/inhibit-suspend to inhibit suspend
- Don't dim or suspend on AC power

* Mon Jul 23 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-5.4.20070718git.olpc
- Disable xrandr

* Wed Jul 18 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-5.3.20070718git.olpc
- New snapshot

* Sun Jul 15 2007 Dan Williams <dcbw@redhat.com> - 0.1.1-5.2.20070713git.olpc2
- Hack: suspend directly with sysfs, don't call out to totally OLPC-inappropriate
  suspend scripts

* Sun Jul 15 2007 Dan Williams <dcbw@redhat.com> - 0.1.1-5.1.20070713git.olpc2
- Disable 'idle' extension for now

* Fri Jul 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-4.20070713git
- Only connect idle time when X is up

* Thu Jul 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-2.20070713git
- Build a git snapshot

* Wed Jun 30 2007 Richard Hughes <richard@hughsie.com> 0.1.1-0
- Initial package for Fedora

